## robocode
Class MouseExitedEvent

    java.lang.Object
      robocode.Event
          robocode.MouseEvent
              robocode.MouseExitedEvent

All Implemented Interfaces:
  Serializable, Comparable

    public final class MouseExitedEvent

extends MouseEvent

A MouseExitedEvent is sent to `onMouseExited()` when the mouse has exited the battle view.

Since:
  1.6.1
Author:
  Pavel Savara (original)
See Also:
  `MouseClickedEvent`, `MousePressedEvent`, `MouseReleasedEvent`, `MouseEnteredEvent`, `MouseMovedEvent`, `MouseDraggedEvent`, `MouseWheelMovedEvent`, Serialized Form

Constructor Summary
`MouseExitedEvent(MouseEvent source)` Called by the game to create a new MouseExitedEvent.

Method Summary

Methods inherited from class robocode.MouseEvent
`getSourceEvent`

Methods inherited from class robocode.Event
`compareTo, getPriority, getTime, setPriority, setTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MouseExitedEvent

    public MouseExitedEvent(MouseEvent source)

  Called by the game to create a new MouseExitedEvent.

  Parameters:
    `source` - the source mouse event originating from the AWT.

Copyright © 2010 Robocode. All Rights Reserved.